Bug 518445 - Review Request: moblin-panel-applications - Moblin Panel for launching Applications
Review Request: moblin-panel-applications - Moblin Panel for launching Applic...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 513452
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-08-20 09:07 EDT by Peter Robinson
Modified: 2009-08-22 20:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-22 20:01:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Michel Alexandre Salim 2009-08-20 22:11:43 EDT
ReviewTemplate

MUST

• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK (md5sum = 62783ff603f2fc215d7748a0793ed736)
• builds under >= 1 archs, others excluded: OK (Koji)
• build dependencies complete: OK (Koji)
• locales handled using %find_lang, no %{_datadir}/locale: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• macros used consistently: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK (Koji)
• package functioned as described: Unknown

There is currently a bug with mutter-moblin:

Window manager warning: Log level 16: Could not load library [/usr/lib64/mutter/plugins/moblin-netbook.so (/usr/lib64/mutter/plugins/moblin-netbook.so: cannot open shared object file: No such file or directory)]
Window manager warning: Log level 8: failed to load plugins

and then mutter --mutter-plugins=moblin-netbook --replace terminates, returning me to my normal gnome-shell setup.

If moblin-netbook.so.3400 is symlinked to moblin-netbook.so, I get further:

Window manager warning: Log level 16: Could not load library [/usr/lib64/mutter/plugins/moblin-netbook.so (/usr/lib64/mutter/plugins/moblin-netbook.so: undefined symbol: meta_window_is_modal)]
Window manager warning: Log level 8: failed to load plugins
Window manager warning: Log level 8: meta_screen_tab_popup_destroy: assertion `screen->tab_handler != NULL' failed

but apart from a barebone mutter, and my app windows, nothing else is displayed (no moblin-panel-applications)

• scriplets are sane: OK
• require package not files: OK

APPROVED
Comment 2 Peter Robinson 2009-08-21 08:57:02 EDT
> There is currently a bug with mutter-moblin:
> 
> Window manager warning: Log level 16: Could not load library
> [/usr/lib64/mutter/plugins/moblin-netbook.so
> (/usr/lib64/mutter/plugins/moblin-netbook.so: cannot open shared object file:
> No such file or directory)]
> Window manager warning: Log level 8: failed to load plugins
> 
> and then mutter --mutter-plugins=moblin-netbook --replace terminates, returning
> me to my normal gnome-shell setup.
> 
> If moblin-netbook.so.3400 is symlinked to moblin-netbook.so, I get further:
> 
> Window manager warning: Log level 16: Could not load library
> [/usr/lib64/mutter/plugins/moblin-netbook.so
> (/usr/lib64/mutter/plugins/moblin-netbook.so: undefined symbol:
> meta_window_is_modal)]
> Window manager warning: Log level 8: failed to load plugins
> Window manager warning: Log level 8: meta_screen_tab_popup_destroy: assertion
> `screen->tab_handler != NULL' failed
> 
> but apart from a barebone mutter, and my app windows, nothing else is displayed
> (no moblin-panel-applications)

Yes. I noticed a few issues that I need to dig into further. Out of interest 32 or 64 bit?
Comment 3 Peter Robinson 2009-08-21 08:58:12 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: moblin-panel-applications
Short Description: Moblin Panel for launching Applications
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 4 Dennis Gilmore 2009-08-21 14:28:18 EDT
CVS Done
Comment 5 Peter Robinson 2009-08-21 15:18:38 EDT
Imported and built. Thanks for the review.
Comment 6 Peter Robinson 2009-08-22 20:01:58 EDT
In rawhide

Note You need to log in before you can comment on or make changes to this bug.